2018-12-18 23:25 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000212Branch 0.2.1-FINALBugpublic2016-11-23 10:04
ReporterQuix0r 
Assigned ToQuix0r 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000212: Freischaltung von Mails bricht mit Template-Fehler ab
DescriptionMailer-Project ist in Script/Funktion doFinalCompilation, Zeile 241 mit folgender Meldung abgebrochen: Note: Evaluation error:

Line | Code:
1|$newContent = "Hallo " . translateGender(getFetchedUserData('userid', $userid, 'gender')) . " " . getFetchedUserData('userid', $userid, 'surname') . " " . getFetchedUserData('userid', $userid, 'family') . ",
2|
3|Einer unserer Administratoren hat soeben Ihre Mailbuchung freigegeben. Sie wird von unserem System automatisch versendet! Bitte beachten Sie, dass dies ggf. zeitversetzt zu dieser Mail versendet wird. Hier sind nochmals URL und Betreff Ihrer Mailbuchung:
4|
5|-----------------------------
6|Beworbene URL: http://www.some-domain.example
7|-----------------------------
8|Betreffzeile: Some-Domain Beispiel
9|-----------------------------
10|
11|Sie können den Versand-Fortschritt im Mitgliedsmenü unter \"Unbestätigte Mails\" verfolgen. Sobald die Mail vollständig versendet wurde, erhalten Sie eine weitere Mail!
12|
13|Vielen Dank.
14|
15|Mit freundlichen Grü�en,
16|Ihr " . (getMainTitle()) . " Team
17|
18|" . (getUrl()) . " (" . (getWebmaster()) . ")
|";


Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):

   1. template-functions.php:1248, debug_get_printable_backtrace(0)
   2. template-functions.php:241, debug_report_bug(4)
   3. functions.php:170, doFinalCompilation(2)
   4. functions.php:145, sendRawEmail(4)
   5. what-unlock_emails.php:104, sendEmail(3)
   6. inc-functions.php:129, include(1)
   7. inc-functions.php:140, loadInclude(1)
   8. action-email.php:50, loadIncludeOnce(1)
   9. inc-functions.php:129, include(1)
  10. admin-inc.php:216, loadInclude(1)
  11. admin.php:378, doAdminAction(0)
  12. inc-functions.php:129, include(1)
  13. inc-functions.php:140, loadInclude(1)
  14. module-functions.php:511, loadIncludeOnce(1)
  15. modules.php:55, doIncludeModule(0)

Request-URI: /modules.php?module=admin&what=unlock_emails
Thank you for finding bugs.
Steps To ReproduceEinfach eine als Mitglied buchen und diese freigeben. Kommt mit neuster Revison 2725.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000537

Quix0r (administrator)

Last edited: 2012-06-15 07:22

View 7 revisions

Der Fehler ist in der Datei inc/template-functions.php zu finden und wird mit dem naechsten Commit (es sei' eines verraten: AJAX kommt!) mit dabei sein.

GELOESCHT: Fuer die Voreiligen gibt es nun einen Fix, in diesem Ticket angehaengt.

Allerdings ist $userid in Email-Templates bereits deprecated (siehe selbige Datei, Funktion loadEmailTemplate(), der Block zum Laden der Mitgliedsdaten ist veraltet) und wird somit wieder ausgebaut, ist aktuell nur zur Uebergangszeit drinne, der Reg-Ex sollte aber bestehen bleiben!

Edit: Die oeffnenden, geschweiften Klammern ("{") werden laut Coding-Convention immer an's Zeilenende angehaengt + Leerschritt, leider bricht hier der Browser dies um. :(

~0000539

Quix0r (administrator)

Last edited: 2011-11-08 06:16

View 2 revisions

Achso, wegen der "seltsamen Zeichen" nicht wundern, diese sind 1.) UTF-8 (multi-byte) und 2.) werden sie beim eigentlichen Versand der Mails nicht angezeigt - solange das Mailprogramm UTF-8 "spricht".

~0000540

Quix0r (administrator)

Der obrige Code hat nur zum Teil den Bug gefixt, komplett fixen konnte ich es erst jetzt. Ich haenge gleich ein Diff-Patch an.

~0000541

Quix0r (administrator)

Dies sollte mit Revision 2729 gefixt sein. Revision 2730 fixt nochmals anderes.

~0000646

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2011-11-08 05:31 Quix0r New Issue
2011-11-08 05:31 Quix0r Status new => assigned
2011-11-08 05:31 Quix0r Assigned To => Quix0r
2011-11-08 05:32 Quix0r Description Updated View Revisions
2011-11-08 06:09 Quix0r Note Added: 0000537
2011-11-08 06:09 Quix0r Status assigned => acknowledged
2011-11-08 06:09 Quix0r Status acknowledged => assigned
2011-11-08 06:11 Quix0r Note Added: 0000539
2011-11-08 06:14 Quix0r Note Edited: 0000537 View Revisions
2011-11-08 06:16 Quix0r Note Edited: 0000539 View Revisions
2011-11-08 06:19 Quix0r Note Edited: 0000537 View Revisions
2011-11-08 06:20 Quix0r Sticky Issue No => Yes
2011-11-08 06:59 Quix0r Severity block => major
2011-11-08 21:00 Quix0r Note Edited: 0000537 View Revisions
2011-11-08 21:35 Quix0r Note Added: 0000540
2011-11-08 21:37 Quix0r File Added: code-compilation-fix.diff
2011-11-08 21:37 Quix0r Note Edited: 0000537 View Revisions
2011-11-09 07:16 Quix0r File Deleted: code-compilation-fix.diff
2011-11-09 07:16 Quix0r Note Added: 0000541
2011-11-09 07:16 Quix0r Status assigned => resolved
2011-11-09 07:16 Quix0r Fixed in Version => 0.2.1-FINAL
2011-11-09 07:16 Quix0r Resolution open => fixed
2012-06-15 07:22 Quix0r Note Edited: 0000537 View Revisions
2012-06-15 07:22 Quix0r Note Edited: 0000537 View Revisions
2016-11-23 10:04 Quix0r Status resolved => closed
2016-11-23 10:04 Quix0r Note Added: 0000646
+Issue History